## 什么是流动性挖矿？

流动性挖矿是一种基于社区的，数据驱动的做市方法，在这种方法中，代币发行者或交易所可以奖励矿工池，为指定代币提供流动性。

流动性挖矿收益的计量框架基于（1）时间（订单簿一致性），（2）订单价差和（3）订单大小，是一种较为公平报酬模型。有风险既有更高回报。

有关更多信息，请阅读[英文白皮书](https://hummingbot.io/liquidity-mining.pdf)。


## 为什么称作“流动性挖矿”？

流动性挖矿类似于在更广义的加密货币上下文中使用的“挖矿”，因为：（1）参与者正在使用自己的计算资源进行做市（例如，通过运行Hummingbot客户端），以及（2）用户部署自己的加密货币资产清单（≈“抵押”）。

此外，为了实现共同的目标，一群参与者正在共同努力为特定代币和交易所提供流动性。作为回报，矿工将获得与其“工作”相对应的代币奖励。奖励分配的规则也如加密货币挖矿一样有明确的算法定义。

## Hummingbot Miners网络应用页面的选项卡都是什么意思？

- Markets 市场：显示当前可用的流动性挖掘活动：合格的交易对，交换以及最近的参与度和奖励指标 
- Activity 活动：显示矿工当前累积的奖励，最近获得的奖励历史以及支出历史。
- Settings 设置：用于设置交换API的配置选项卡，以允许参与流动性挖掘活动。

## “市场”选项卡上的数字是什么意思？

市场选项卡上的数字显示了所有活动和所有矿工的汇总数据摘要，以及每个交易对的汇总数据。
![](https://docs.hummingbot.io/assets/img/hummingbot-miners-dashboard.png)

## 为什么我需要提供我的以太坊钱包？

Hummingbot Miners应用程序会使用您的以太坊钱包地址来：

- 为您分配一个唯一的用户ID。Hummingbot矿工应用可将您的配置（例如电子邮件地址，API配置）与活动相关联。这使矿工应用可以显示您的用户特定信息，例如获得的奖励和支出历史记录。
- 向您发送代币奖励：采矿奖励的支付金额将发送到此地址。

***注意：由于在中心化交易所（如币安）参与挖矿，并不需要使用你私人的以太坊钱包，你并不需要存放任何余额在其中***

## 参与流动性挖矿，我应该使用什么做市策略？

流动性挖矿奖励是根据创建的限价订单（“制造商”订单）确定的。当前，Hummingbot客户有两种创建制造商订单的策略：

- 单一交易所做市策略
- 跨交易所做市测恶略

使用这两种交易策略中的任一种，将使您有资格参与流动性挖掘并获得奖励。

## 如何评估流动性？

我们认为，相对于市场广泛使用的已成交订单量，滑点(Slippage)是量化流动性的最佳指标。滑点是指在给定规模的交易中，观察到的中间市场价格与实际执行价格之差，是交易成本之一。计算订单簿深度和不同深度价格的滑点系数，可以更好地了解实际交易该资产的摩擦和效率。较深且流动性高的订单簿的滑点较低，而较薄且流动性低的订单簿的滑点较高。

我们认为，滑点比交易量更能反映流动性。作为事前指标，滑点测量的是交易者在交易之前使用的信息，以决定是否执行交易以及在哪个时间点执行交易。相反，交易量是事后衡量标准，可以轻松地被人为操控。

## 如何计算流动性挖矿的奖励收益？

为了使做市商具有经济意义，做市商的薪酬必须与其承担的风险水平的相关。在流动性挖掘中，我们使用三个主要参数来确定做市商（也就是参与流动性挖矿的 “矿工”）薪酬：（1）时间：随着时间的推移在订单簿中连续下订单，（2）点差和（3）订单大小。

在流动性挖掘中，做市商通过持续不断地下订单来积累更多的报酬，并通过点差更小和规模更大的订单来获得更高的报酬。实时奖励信息将显示在实时Hummingbot Miner上。
![](https://docs.hummingbot.io/assets/img/mining-rewards-diagram.jpg)

更多详情，可以阅读[英文博客](https://hummingbot.io/blog/2019-12-liquidity-mining-rewards/)。

## 流动性挖矿网络应用上的"returns"（回报）指什么？

![](https://docs.hummingbot.io/assets/img/miners-return.png)

流动性挖矿回报指某一时间点所有奖励与该时间点所有合格订单的总数量之比，也就是次时间点所有参与者的总体回报。

回报表示为**年化回报**，其计算依据是：（1）该时期可获得的采矿奖励的总金额；（2）该时期以基础货币计算的合格订单的总金额，然后将其转换为（3）年率化：
![](https://docs.hummingbot.io/assets/img/lm-return-calculation.png)

更多详情，可以阅读[英文博客](https://hummingbot.io/blog/2019-12-liquidity-mining-rewards/)。

## 奖励是如何分配的？

在每个以周为单位的奖励周期，总付每周酬劳将平均分配到该周期中的每一分钟。对于每一分钟，都会从该分钟内获取随机快照，以用于计算奖励分配。

对于每个快照，奖励的一半分配给订单簿的出价方，另一半分配给订单簿的要价方。我们强制执行50/50的分配比例，以阻止参与者使用我们的系统在一个方向或另一个方向上操纵价格。如果没有为特定快照提交符合条件的订单，则为该快照分配的奖励金额将滚存并添加到后续快照的奖励金额中。

## 我在某一交易对上的奖励收益会影响我在其他交易对上的收益吗？

不会，每个市场的奖励分配是独立计算的。每个付款分配将基于紧接在前的奖励周期上的符合要求的交易活动，而不是基于先前的奖励周期。

## 何时我才会收到我的挖矿收益？

每个星期开始于世界标准时间UTC星期二凌晨12点开始和结束。奖励在每个周期结束后3个日历日分配给每个参与者的注册以太坊地址。

## 如何计算和裁定矿工所提供的流动性？

为了准确地衡量流动性并分配奖励，矿工需要为他们希望获得奖励的每个交易所提供一个有效的只读API密钥。我们的数据基础架构使用只读API密钥来收集和汇总每个矿工的订单数据。

此外，我们运行专有算法，以尝试进行任何禁止的操作，例如清洗交易和欺骗。尽管鉴于市场的竞争性质很难确定剥削性做法，但我们认为，将我们对合规性的关注，精细的数据馈送以及基于机器学习的算法结合在一起，可能会阻止并发现不良行为者。

## Hummingbot会存储通过只读API读取的我的交易记录吗？

在项目启动时，我们存储单个订单和交易，以隔离和防止恶意流动性矿工操纵或滥用系统的潜在尝试。系统变得更成熟之后，我们将调整数据收集过程，以便仅存储汇总数据，而不存储单个订单和交易。我们绝不与第三方共享个人订单和交易数据。

## 作为矿工，我会承担什么风险呢？

像任何交易策略一样，做市也包括风险。主要风险之一是存货风险，即因做市而导致存货价值出现负变化的风险。例如，如果价格在短时间内大幅下跌，并且做市商由于做市商的买单的持续执行而在资产中积累了大量头寸，那么他们的整体库存价值可能会更低。

请注意，已发布的流动性挖矿回报说明了流动性报酬的回报与承诺维持订单的库存价值成正比。这些数字未考虑与贸易有关的损益。收益数字也可能根据基础代币，报价代币和用于流动性挖矿支付的代币的价值的相对变化而波动。

## Hummingbot从执行这些流动性挖矿项目中得到报酬了吗？

作为管理和实施流动性挖矿计划，收集验证参与者交易活动所需的数据以及自动化支付过程的回报，我们从流动性采矿合作伙伴和客户那里获得了报酬。

## 我一定要使用Humminngbot交易机器人才能参与流动性挖矿吗？

不。如果您已经拥有自己的交易机器人和策略，您仍然可以通过注册参与流动性挖掘。

对于没有自己的交易机器人的一般用户群，我们创建了Hummingbot，以为他们提供访问量化/算法策略和做市能力的方式。
