
我们很高兴地宣布成立**流动性奖赏计划**，这是解决数字代币发行项目方面临的最大问题之一 - 流动性问题的全新方法。

![](https://images.unsplash.com/photo-1488642945284-f5b65425f15a?ixlib=rb-1.2.1&ixid=eyJhcHBfaWQiOjEyMDd9&auto=format&fit=crop&w=947&q=80)

# 流动性是一种稀缺且昂贵的资源

任何公开交易的资产都需要流动性。买家和卖家希望在一个深度有序的市场中以合理的价格进行交易而几乎没有滑点。在现代金融世界中，流动性提供者（即做市商）主要由定量对冲基金和交易公司主导，他们拥有基础设施和智能，可以大规模部署复杂的算法。

我们之前曾写过[关于股票的“小盘股流动性危机”](https://www.hummingbot.io/blog/2019-01-thin-crust-of-liquidity/)，其中较小的股票缺少流动性继而无法吸引合理的投资者，因为大型交易公司专注于为最具流动性交易场所的最大股票做市。

在分布式的数字资产世界中，流动性是一个更大的问题。有相对较少的量化交易公司具有制定和执行高频算法策略的技术能力，因此他们可以向数字代币项目每月收取高达50,000美元的报酬，并要求他们在库存中存入数百万美元。对于绝大多数数字代币发行者而言，这是无法承受的。

此外，数字代币发行者需向做市商提供大量资产，加上缺乏透明度和行业标准，给某些做市商制造了不正当的激励措施，使他们通过洗牌交易和市场操纵进行扰乱市场的恶意行为。这种不良行为不仅在被发现时会对项目造成极大不良影响，而且还会导致“抽水和转储”，使得恶意做市商可以通过牺牲数币项目社区普通交易者为代价而获利。


# 完全直接的市场准入让所有人解锁数字货币交易

做市背后的基本理论非常简单。您只需发出并维护两个限价订单，即买单和卖单。由于您自然会将买入价格设定为低于卖出价格，因此做市是一种积极的预期策略，其中每笔交易的预期价值为正。

然而，做市的可行性取决于市场准入。像纽约证券交易所和纳斯达克这样的传统金融交易所限制了直接在交易所向一些指定公司股票下订单的能力。相比之下，数字货币交易提供直接的市场准入：开放交易API和免费数据给每个人。这使我们能够打造Hummingbot，一个用于量化交易的开源软件，让所有人都可以制造和运行自己的做市机器人。

虽然大型做市商在交易量最大的交易所中争夺交易最活跃的交易对，但现在仍然存在大量的小型数字货币交易所，他们也同样需要流动性：前10名之外的代币，较小的交易所和新的区块链项目。我们希望通过免费开源工具降低量化交易的技术障碍，建立一个为个人和小型交易公司组成的数字货币量化交易社区。


# 新的激励结构：流动性奖励

受到漏洞奖励（bug bounty）的启发，流动性奖励允许Hummingbot用户通过向代币发行者提供流动性来获得相应的奖励。

数字货币发行商现在可以根据可量化的指标（如已成交的订单量等）设置奖励等级，发行人可以根据实际的流动性贡献奖励社区成员，而不是向单一做市商提供百万的库存和高昂的报酬，而无法充分了解他们是否真正在政党的工作。

任何有资格交易数字货币的人现在都可以与其他人竞争，根据他们定期的交易活动量赚取额外的代币奖赏。奖赏计划参与者可以通过公共排行榜查看他们与其他参与者的排名。

我们非常重视合规，因为我们只想奖励真正的流动性提供者。出于这个原因，流动性奖赏计划参与者需要允许我们进行数据收集，让我们得以验证他们的真实交易活动，以防止报告假量。此外，我们将运行专有算法，以尝试检测虚假交易和欺骗行为。虽然鉴于市场性质，一些虚假行为很难被识别，但我们认为，我们基于机器学习的算法可能会即时发现拥有不良行为的参与者。

流动性奖励还有助于数字货币发行者提高在多个交易所的流动性。 Hummingbot是一个开源平台，连接着集中式和分布式的不同交易所，由于用户可以运行Hummingbot的跨交易所做市策略将流动性从一个交易所移植到另一个交易所，因此数字货币发行者应该可以得到更好的价格稳定性以及流动性。


# 宣布Harmony ONE Makers流动性奖赏计划

作为第一个[流动性奖赏项目](https://github.com/CoinAlpha/hummingbot_chinese/blob/master/Hummingbot%E6%B5%81%E5%8A%A8%E6%80%A7%E5%A5%96%E8%B5%8F%E8%AE%A1%E5%88%92/%E5%92%8C%E6%A2%A6%E9%93%BEHarmony-ONE-Makers.md)，我们将与Harmony Protocol合作推出的Harmony ONE Makers。Harmony（和梦链）是一个由Google，Apple和Amazon的高技术团队创建基础层区块链项目，项目关键创新包括分片和网络传输等。今天，Harmony社区遍布全球，拥有大量的开发者、数据科学家和其他具有技术敏锐性的社区成员，这使得Harmony成为流动性奖励的理想初始合作伙伴。


# 如何开始

任何有资格交易$ONE的用户都可以通过Binance及可以交易$ONE的其他交易所赚取额外的奖赏。请点击[此处](https://www.hummingbot.io/liquidity-bounties/harmony)注册，以便在计划开始时收到通知。

对于对流动性奖励感兴趣的代币项目，请访问[此页面]或发送电子邮件至partnerships@coinalpha.com获取更多信息。


# 重要免责声明

## 不构成财务、投资、法律或税务建议
本repo及本文件的所有内容不构成财务、投资、法律或税务建议。在确定是否下载和使用此开源软件和/或参与任何赏金计划，或在决定使用Hummingbot或参加任何赏金计划之前，您应该从相应的专业顾问处获得投资和税务建议。

本repo及本文件包含的任何信息均不构成购买或出售任何证券、期权或其他金融工具或其他任何类型资产的推荐、广告或要约，或提供任何投资建议或服务。

本repo及本文件是在并未参考任何特定用户所在的行政管辖区域或地点，适用的监管机构或财务状况或任何其他可能影响特定用户是否可以合法使用Hummingbot的相关因素的情况下编制。

## 数据共享
通过参与奖赏计划，即表示您同意与执行赏金计划的数字货币发行者以及CoinAlpha, Inc及其各自的关联公司分享以下信息：

- 您使用Hummingbot创建的订单;
- 您使用Hummingbot完成的交易;
- 您的以太坊钱包地址：将用来收取赏金奖励（如果有的话）。
- 从Hummingbot共享数据时，您自行负责配置您同意通过Hummingbot日志（log）配置设置共享的信息。

有关共享和使用您的数据的其他条款，请查看以下内容：

- [CoinAlpha的隐私政策](https://www.iubenda.com/privacy-policy/29320743)
- [Hummingbot Apache License 2.0](https://github.com/CoinAlpha/hummingbot/blob/master/LICENSE)
- [Hummingbot网站使用条款](https://www.hummingbot.io/terms.pdf)
- 数字货币发行项目自身的相关隐私政策
