![](https://hummingbot.io/static/e8805bdc6f7be58c32e65937c58154a5/9ffca/cover.png)

# 摘要

两个月前，我们与Harmony Protocol的朋友一起，启动了一个名为$ONE Makers的实验项目，以观察使用Hummingbot来运行做市的普通人是否可以有效地提供与专业做市商相当水平的流动性。

我们和Harmony都将$ONE Makers作为实验。现在我们想回答以下问题：

- 人们真的可以赚钱，还是会被更老练的玩家摧毁？
- 有效取代专业做市商需要多少人？

继续阅读并找出答案！


# 动机

加密交易所和代币项目估计每年以回扣、费用和库存成本的形式在做市上花费大约30亿美元。

这种数字货币原生行业源自数字货币结构特征而引起的供需不平衡：任何人都可以创建令牌，任何人都可以创建交换令牌的交易所。如今，有超过5,000个代币和300个交易所，在高度分散的交易所格局中导致了超过35,000个独特的市场（或称交易对）。这些市场根据流动性相互竞争，流动性衡量人们在买卖东西的过程中因买卖差价而损失钱的容易程度。

尽管对流动性的需求大幅增加，但供应却没有相应增加。流动性由仍然有专业做市商提供，这项工作既需要专用于特定市场的资本库存，又需要能够响应快速发展的加密市场而快速自动创建和取消订单的交易软件。

由于这些财务和技术要求，加密货币做市商通常是量化对冲基金，它们收取巨额费用，并可能需要数百万美元价值的库存。即使是最大的项目和交易所，这些成本也足以令其望而却步，而小型项目和新交易所的长尾巴根本无法承受。

如果一群个人可以做同样的事情，那么项目和交易所最终将拥有提高流动性的另一选择。与其雇用昂贵的对冲基金，不如激励他们的社区成员使用自己的资金来经营做市机器人。通过基于严格的、可量化的指标对每笔交易的流动性提供者进行相应的奖励，更可以衡量花费的每一美元的影响。


# 数据统计

以下是7月1日至9月4日两个月时间内$ONE Makers达到的成果：
![ONE Makers](https://hummingbot.io/static/8de014949817fe161e528e3282e4ce76/ed7b0/overall.png)

我们惊讶地发现，68名参与者竟然完成了143,000笔交易，总订单额为640万美元。这些人的平均交易额为44美元，这些人几乎全部为$ONE代币的个人持有者，而非专业人士或机构。

每个用户的数量也符合幂律分布；十名头部用户交易量占总交易量的88％。


# 真的可以通过做市机器人来赚钱吗？

我们想回答的最重要的问题之一是：普通人是否可以成功地通过做市机器人来赚钱。

Hummingbot既不是智能合约协议，也不是托管的Web应用程序。相反，它是一个类似于Geth和Parity的区块链客户端的**开源软件客户端**，用户可以在本地下载并运行。这使用户可以确保其API密钥、钱包私钥和秘密策略不会暴露给第三者，但这也意味着我们无法直接检查用户的交易表现。

然而，我们可以通过留存率来推断人们是否在赚钱，这可以衡量用户是否随着时间的推移继续使用该产品。

![](https://hummingbot.io/static/8e7ce86b68595f544f95c2ea52d87072/ed7b0/retention.png)

通过进行同类群组分析，与大多数产品一样，使用第一周后使用率会下降，但是一个月后几乎有40％的用户仍在运行机器人，这一事实表明这些用户赚钱的可能性很高。

长期参与是一个重要因素：随着熟练程度的提高，人们是否会冒着更多的资本风险，或者会减少使用量？

为了衡量一段时间内的参与度，我们跟踪了参加$ONE Makers的每周用户的交易执行量：

![](https://hummingbot.io/static/a50cb28d162906d59a6a9b62dff5c9b5/ed7b0/cohorts.png)

绝大多数交易量来自最初的每周群组，并且随着时间的推移，该群组又不断增加了其已完成的订单量。

由于Hummingbot上手初期具有较为陡峭的学习曲线，并且我们仅针对$ONE Makers进行了有限的营销，因此用户数量没有增加太多不足为奇，但是保留率和参与度数据使我们充满信心——普通人也可以成功运行做市商机器人！

最后，我们还对$ONE Makers参与者进行了两次采访（[采访1](https://hummingbot.io/blog/2019-07-top-bounty-hunter-interview1/) | [采访2](https://hummingbot.io/blog/2019-09-top-bounty-hunter-interview2/)），他们都称自己有所获利。


# 一群个人可以代替专业做市商吗？

尽管我们认为足够多的人可以提供近似于专业做市商所能提供的流动资金量，但我们并不确定会需要多少人。此外，个人在熊市中的表现如何？他们会提供相同水平的正常运行时间和一致性吗？

我们分析了Hummingbot用户产生的交易量占Binance整体Harmony $ONE代币交易量的百分比：
![](https://hummingbot.io/static/6e8a2aa7e91261d8823afaf14a4b1e74/ed7b0/volume.png)

在两个月的时间里，$ONE的价格下降了60％，参与$ONE Makers的Hummingbot用户大大增加了他们提供的流动性。仅仅靠43位活跃参与者在8月的最后一周便产生了相当于140万美元的交易量，几乎是Binance上$ONE代笔交易总量的8％。

通常，专业做市商在大型交易所产生代币交易量的20％。尽管我们还没有达到这一水平，但这个结果使我们充满信心，随着我们的用户群的增长，我们坚信一群个人也可以代替专业的做市商。


# 小结

数字货币中最稀缺和最珍贵的资源是流动性，如今项目和交易所正在为此而花费数十亿美元为对冲基金买单。Hummingbot正在构建另一种流动性解决方案，由一群去中心化的个人来运行我们的开源软件，从而获得宝贵的流动性。

对于那些无力聘请对冲基金做市的小型项目，Hummingbot不但提供了公平的竞争环境并且提供了建立业务所需的流动性。对于已经利用做市商的大型项目，Hummingbot提供了更经济、透明和社区驱动的替代方案。

要了解有关Hummingbot的更多信息，请查看[流动性赏金项目是如何运作的](https://hummingbot.io/liquidity-bounties/)或通过我们的[快速入门指南](https://docs.hummingbot.io/quickstart/)开始获得奖励。
