欢迎回到Hummingbot学院!

Hummingbot的最新版本(0.38)带来了一个全新的策略。这对我们来说很吸引人，因为这是第一个基于经典学术论文开发的Hummingbot策略，这篇论文介绍了如何创建最佳做市策略。

这篇文章将解释2008年Marco Avellaneda和Sasha Stoikov发表的经典论文背后的想法，以及我们如何在Hummingbot中实现它。

但是假设你对阅读复杂的科学论文很感兴趣(我就是!)在这种情况下，可以很容易地在互联网上快速搜索到原文，或者你可以在[这里](https://www.researchgate.net/publication/24086205_High_Frequency_Trading_in_a_Limit_Order_Book)找到原文。

今天我们将讨论:
- 什么是Avellaneda & Stoikov做市模型？
- 这个模型如何处理库存风险？
- 建议的最优买卖价差是什么？
- 该策略是如何在Hummingbot中实现的？

## 关于模型建议的简要说明

在他们的论文介绍中，Avellaneda和Stoikov谈到了做市商的两个主要关注点:

•	处理库存风险
•	找到最优的买卖价差

经过一些数学建模，他们得出了两个公式，帮助做市商解决这些问题。

**保留价格:**

 ![](https://images.ctfassets.net/h07e7qaokuyy/7KCO5yhYKI9qc6n6h0XPTW/e0281e206e6c1024b47eed48ea45d742/reservation_price.png?w=394&h=106&q=50&fm=webp)
 
**最优买卖价差:**

 ![](https://images.ctfassets.net/h07e7qaokuyy/6pElFyNrkA5DgvITxBbdcA/a48be2145a69c772b88e3d15e3847aa4/optimal_spread.png?w=475&h=120&q=50&fm=webp)

 
在公式中,
- S = 当前市场中间价
- q = 基础资产库存中的资产数量(可以是期货市场中的多头/空头)
- σ = 市场波动率
- T = 闭合时间，测量周期结束时(为方便使用，归一化为1)
- t = 当前时间 (T 归一化= 1，所以t是一个关于时间的分数)
- δa， δb = 买卖价差，对称 → δa=δb
- γ = 库存风险规避参数
- κ = 订单薄流动性参数

如果你不知道这是什么意思，别担心。本文将简化这些公式和值的含义。

但如果您想了解更多关于后台工作原理的信息，请继续关注，因为我们还将发布另一篇文章，其中包含更多技术细节。

## 保留价格是多少?

做市的基本策略是围绕市场中间价格创造对称的买入价和卖出价。

但这种方法(视市场情况而定)可能导致做市商库存向一个方向倾斜，随着库存资产的贬值，交易员处在一个错误的位置上。

例如，如果BTC-USDT市场价格进入下跌趋势，交易员使用对称的做市方法，他的买入订单将比卖出订单更容易成交。在一天结束时，做市商持有的BTC占比变高，他的总库存的整体价值将会变小。
 
  ![](https://images.ctfassets.net/h07e7qaokuyy/68r7KH2ShF5rHkAuN9nrcV/1089fe5d4e3d551ce8ba62bee7f1e5f8/btc_downtrend.png?w=1300&h=800&q=50&fm=webp)
 
Avellaneda和Stoikov基于三个主要因素，通过计算一个新的参考价格来解决库存风险问题，在这个价格附近挂买卖订单:
 
![]( https://images.ctfassets.net/h07e7qaokuyy/7KCO5yhYKI9qc6n6h0XPTW/e0281e206e6c1024b47eed48ea45d742/reservation_price.png?w=394&h=106&q=50&fm=webp)
 
**交易员当前的库存仓位距离目标仓位有多远?(q)**

公式上的q值衡量了做市商库存与预期目标相差多少单位。

例如，如果交易者的目标是拥有一个50-50的库存，则每次库存向一个方向或另一个方向移动时，q 的值都会发生变化:

- 当q = 0 (当前库存=目标库存)时，保留价格等于市场中间价;
- 当q < 0，交易者做空该资产，保留价将高于市场中价，增加买单成交的机会;
- 当q > 0时，交易者做多该资产，保留价将低于市场中间价，增加了卖单成交的机会;

在Hummingbot上，q的值是根据你的目标库存百分比计算的。

**交易者愿意承担多少库存风险?(γ)**

这个参数必须由做市商设定的值，考虑他愿意承担多少库存风险。

如果γ值接近于零，则保留价格将非常接近市场中值。因此，交易者将面临与使用对称价格策略相同的风险。

但是随着其数值的增加，当交易员的库存与他的目标不同时，中间价和保留价之间的距离会增加。

在Hummingbot上，你可以自己设置γ的值，也可以让机器人自动计算。

**交易结束时间(T-t)**

该模型是在中本聪开采第一个比特币区块之前创建的，在24/7开放的交易市场之前。

因为这样，Avellaneda和Stoikov添加了交易时段的终端时间(T)，正如他们自己所写的那样:

> 程序的目标是在终端时间T内最大化其盈亏曲线的预期指数效用。

简单地说，随着交易时段接近尾声，保留价将接近市场中间价，降低了库存距离预期目标太远的风险。

在Hummingbot上，你可以定义(以天或一天的一小部分为单位)“交易时段”需要多长时间。

>注:Avellaneda & Stoikov还 还考虑了交易时段具有无限范围的模型。我们同意这种无限视野模型对加密货币市场更有意义，我们计划将其添加到未来版本中。

你可能已经注意到我没有在主要因素列表中添加波动率(σ)，即使它是公式的一部分。这是因为波动率值取决于市场价格的变动，而不是由做市商定义的因素。如果市场波动性增大，保留价与市场中间价之间的距离也会增加。

## 最优价差是多少?

模型的第二部分是寻找做市商订单应在订单簿上的最优位置，以提高盈利能力。

![](https://images.ctfassets.net/h07e7qaokuyy/6pElFyNrkA5DgvITxBbdcA/a48be2145a69c772b88e3d15e3847aa4/optimal_spread.png?w=475&h=120&q=50&fm=webp)
 
从第二个公式可以看出，保留价格公式中合并的两个因子(γ和(T-t))也出现在最佳总价差的计算中(δa + δb)，并且加入了一个新的因子:

**订单流动性/密度(κ)是什么?**

论文中有很多数学细节解释了他们是如何通过假设指数到达率来得到这个因子的。有许多不同的模型，关于如何计算数值的方法各不相同。

但就目前而言，必须知道，使用一个较大的κ值，表示你预设订单密度更大，由于市场上存在更多的竞争，你的最佳差价必须更小。

另一方面，使用较小的κ，你预设订单薄流动性较低，你可以使用更宽的价差。

## 结合保留价格和最优价差

下面就是见证奇迹的时刻。这个模型的执行逻辑非常简单:

1. 根据目标库存计算保留价格
2. 计算最优买卖价差
3. 参考保留价格创建市场订单:

	买入价=保留价格 - 最优价差/ 2

	卖出=保留价格 + 最优价差/ 2

你可以在下面的图表中看到这种动态:
 
 ![](https://images.ctfassets.net/h07e7qaokuyy/2LR0vqfAy5j04seI2hnTV1/6687588e2e936e8c4772d5518c4c5d8e/strategy_in_action.png?w=650&h=184&q=50&fm=webp)

很容易看出计算出的保留价格(绿线)与市场中间价(蓝线)有何不同。

你可以在上图中注意到的另一个模型特征是，保留价格在图表前半部分低于市场中间价。

这是因为做市商的库存中有大量正在交易的资产。

正如你所看到的，卖出价会更接近市场中间价，因为最优价差是以保留价作为参考计算的。

图标后半部分的情况正好相反。库存状况发生了转变，现在的买入价格更接近市场的中间价。

## 计算输入参数

回顾这篇文章，你会记得我们提到过Avellaneda-Stoikov模型用于计算保留价格和最优价差的三个主要因素:

1.	库存位置(q)
2.	剩余交易时间(T-t)
3.	风险系数(γ)
4.	订单薄深度(κ)

对于上面的每个输入，下面是Avellaneda策略中相关的参数名称：

**1和2非常简单:**

*(q)是与期望库存目标之间的库存距离。*

此参数用于计算当前库存位置与所需库存位置之间的差值。

在hummingbot上，你输入资产库存目标(以百分比设置)，机器人计算q的值。

*(T-t)是距离交易时段结束的时间:*

Avellaneda & Stoikov模型是为了用于传统金融市场而创建的，在传统金融市场上，交易时间有开始和结束。

这个参数背后的概念是，当交易时段接近尾声时，做市商希望拥有与交易时段开始时类似的库存仓位。

因此，随着交易时段越来越接近尾声，订单价差将会缩小，在重新平衡库存方面，保留价格的数值将更加“激进”。

加密货币市场是24/7的，所以没有市场关闭时间。

在Hummingbot里，你可以设置将多少小时视为交易时段周期，可以是1小时或24小时。

**3和4有点……复杂……**

阅读这篇论文，你不会发现任何计算这两个参数值的直接指示。这是因为这不是论文的重点(但你可以查看文章参考资料以了解其背后的内容)。

但是如果你不想弄清楚如何计算它们，我们还在策略中添加了一个“简单”模式:你可以让机器人根据你想要的最大和最小价差自动计算这些值

如果你对它们是如何计算的感到好奇，请继续关注这篇详细介绍幕后情况的文章。

这是创建新策略时的默认模式，但是如果您有您的模型来决定这些值，您可以通过将*config parameters_based_on_spread*设置为*False*来禁用“简单”模式。

之后，使用*config order_book_depth_factor*和*config risk_factor*设置自定义值。

## 设置Hummingbot

是时候创建策略了!

与往常一样，你可以使用*create*命令在Hummingbot上创建一个新策略。由于这是一种做市策略，有些配置将类似于纯粹的做市策略（pure_market_making），因此我们将在本文中介绍它们的不同之处。

  ![](https://images.ctfassets.net/h07e7qaokuyy/40QWfxenljVff0XQtHpdKB/48b7ef032180f3dd92641e042980de2f/config_1.png?w=650&h=91&q=50&fm=webp)

从策略名称开始，你必须输入*avellaneda_market_making*来使用这个新策略。
 
  ![](https://images.ctfassets.net/h07e7qaokuyy/7tF4mZa5mZfKOfoisvwKHb/faa8315ab1e8070ddf939e83dcc652ae/config_2.png?w=650&h=89&q=50&fm=webp)

在选择了交易所和你要交易的配对后，下一个问题是，你是否想让机器人计算风险系数和订单深度参数。如果将此设置为false，将要求你输入两个参数值。

![](https://images.ctfassets.net/h07e7qaokuyy/1aZlFf31DuWsEVNwL5dLfE/67615c5491221ff44ab8ba2d69b04987/config_3.png?w=650&h=115&q=50&fm=webp)
 
在上面两个问题上，你会被问到你希望hummingbot使用的最大和最小价差。

这将为计算出的最优价差设置“边界”，因此hummingbot永远不会为你创建低于最小价差或大于最大价差的订单。

波动倍乘数是极端波动情况的触发器。如果市场波动率增加超过*maximum spread * volatility multiplier*，bot将通过增加的波动率“扩大”你的最大价差。

![](https://images.ctfassets.net/h07e7qaokuyy/1WXmBzXQchHVc7WRG6eG3H/d3258b144976e0f146550dcdabb2bd35/config_4.png?w=650&h=102&q=50&fm=webp)
 
通过风险规避参数，你告诉机器人你想承担多少库存风险。接近1的值表明你不想承担太多的库存风险，hummingbot会更多地“推动”的保留价格，以达到库存目标。
 
 ![](https://images.ctfassets.net/h07e7qaokuyy/1VgFPQT8Q9DAdzXUWPbcpz/3ed754f552f2c2c27970eb56517916df/config_5.png?w=650&h=73&q=50&fm=webp)

最后一个问题是关于你的库存目标百分比。请注意，这是您希望在基础资产上分配的总库存价值的百分比。例如，如果您交易BTC-USDT，但希望保持你的库存100%在BTC上，您将此值设置为100。

如果你希望结束交易时将整个库存分配给USDT，则可以将此值设置为0。
 
 ![](https://images.ctfassets.net/h07e7qaokuyy/5vtVZu7M3pTTe4IBbnq4zP/2849d77de13c1144a367ab9ff98fe323/all_config.png?w=650&h=340&q=50&fm=webp)
 
在创建策略后，你可以在机器人上更改以下其他一些新配置:

*closing_time* -在这里，你设置(以天为单位)每个“交易时段”将花费多长时间。这将影响我们前面提到的(T-t)参数。

*volatlity_buffer_size* - 这向hummingbot指示将使用多少秒来获取数据以计算市场波动率。需要注意的是，在机器人开始创建订单之前，存储计算所需的价格数据需要你输入的时间。

## 最后的想法

学术界对做市商的最优策略已经研究了很长一段时间，Thomas Ho和Hans Stoll在1980年开始写关于市场交易者动态的文章。

有许多令人兴奋的模型有不同的方法，并且随着高频交易在过去几年主导了做市场景，我们的团队有很多东西需要探索。

如果你有一个有趣的模型，我们的团队可能会感兴趣，请通过我们的 Discord 联系我们！

## 如有任何问题获想参与讨论，请加入我们的社区

我们的社区有众多的做市商和套利者，他们愿意互相帮助，充分利用 Hummingbot。 您可以加入我们的 [Discord 中文频道](https://discord.gg/HgDExTAcWF)，讨论 Hummingbot、策略、流动性挖坑以及与加密货币世界有关的任何其他内容，并获得我们团队的直接支持。

加入中文微信群，请添加ID：amtf202004

更多教学互动视频，请订阅[bilibili频道](https://space.bilibili.com/2010395218/channel/detail?cid=178340)
