如果你访问这一页面，很可能你会问以下问题:

**什么是做市商?**

**做市商会做什么事情?**

**我如何成为做市商?**

**我如何创造一个做市机器人?**

你来对地方了!

在[Hummingbot](http://www.hummingbot.io)学院，我们的目标是帮助你学习更多关于做市的知识，以及如何使用我们的免费开源机器人来实现你自己的策略。

## 但什么是做市商?


>做市商(MM)是指主动对证券的双边市场进行报价的公司或个人，跟随市场规模提供买入价和卖出价(称为卖出价)。([来源](https://www.investopedia.com/terms/m/marketmaker.asp))

如果上面的引用对你没有任何意义，想象有一个当铺:

![](https://hummingbot.io/static/29e4d69b14246179bc0dd8c5cf820d7a/cdb69/pawn.jpg "图片来源:史蒂夫·萨瑟兰")

我们假设苏珊有一把旧吉他，没有多少时间再弹了，她想把吉他卖出去;与此同时，在城市的另一个地方，迈克一直在学习弹他朋友的吉他，他现在认为他有足够的能力投资一些现金买自己的吉他，但一个全新的吉他可能太贵了。

虽然我们有两个人可以达成交易，但他们可能很难找到对方，甚至很难就吉他的合理价格达成一致。

这时候当铺出现了:

不用到处找想买吉他的人，苏珊可以把她的吉他卖给当铺，而迈克也可以去那里找到一把他要的吉他。

当铺老板正在为苏珊和迈克提供**服务**。他提供了一种简单的方法来出售或购买他们想要的(**提供流动性**)和一个公平的价格，基于本市对二手吉他的需求(**差价减少**)。

当铺低价买入苏珊的吉他并高价卖给迈克，从中赚取价差。

>**做市商**就像当铺老板一样，在金融市场上提供同样的服务。他提供流动性，帮助减少买卖价差，从买卖订单(**价差**)的差价中获取利润。

## 做市是如何在金融市场中发生的?

金融市场与实体经济开放市场没有太大区别。每天，数以百万计的人访问某种交易平台，寻求在广泛的资产中完成交易，包括公司股票、债券、石油、黄金、合同和**加密货币**。

但是，金融资产市场使用的是**订单簿**，所有的买卖报价都聚集在同一个地方，而不是成千上万的人聚集在同一个地方，举着牌子或尖叫着他们在买卖什么东西。

![](https://hummingbot.io/static/69d806823b6ae36c5b96ad6d6e4360d7/b996f/order_book.png)

订单簿不过是所有市场参与者的所有买卖报价(包括数量和价格)的列表。

在上图中，我们可以看到BTC/USDT交易对订单簿。如果有人想现在购买比特币，他/她将不得不支付12022.230美元(最低卖价)，这个价格有0.578个比特币可用。

但如果有人想立即出售比特币，他/她将不得不接受12016.32美元(最高出价)的价格，且数量只有0.016个。

>一种商品或资产的最低报价和最高出价之间的差额称为价差。

从技术上讲，任何在订单薄上发出买卖报价的人都是**做市商**，而那些接受订单薄上报价的人被称为**吃单者**。

**做市商**在概念上类似于参与市场的“当铺老板”，出低价购买资产，并以尽可能快的速度和尽可能多的次数以更高的价格出售。

大多数**交易员和投资者**希望看到市场像这样波动:

![](https://d33wubrfki0l68.cloudfront.net/1ca624440a69b042dff6ec67ac4a4361528aa511/6297f/static/58c8ac6e67e7ef6d68bd41faf0e6877b/88cea/graph1.png
)

然而做市商喜欢看到市场价格这样变动:

![](https://d33wubrfki0l68.cloudfront.net/66c721b5e34e42bf80a5ea3b60b96592f1da3d01/653bb/static/3a90d54768eac50b9331a8408fae47f7/88cea/graph2.png
)

一项资产的价格不是以恒定的流量变化，而是以波浪的形式变化。当交易员和投资者试图弄清海水是涨还是跌的时候，做市商却在观察海滩上的小波浪。

## 买卖差价 vs 做市商差价

看看我们之前看到的情况，做市商可以发出两个报价:

以12016.320美元购买1个比特币(Bid)

以12022.230美元出售1个比特币(Ask)

当其他市场参与者接受了这些价格，两笔订单都达成了交易，做市商将从这笔交易中获得5.91美元的利润。

这也被称为**市场买卖差价**，在上面的这个例子中，它是做市商完成两笔交易获得的5.91美元利润:

(12022.23 - 12016.32) / 12016.32 = 0.049%

一些交易所甚至提供了一种实时可视化买卖价差的方法(以及订单深度，即在订单薄上公布的所有订单的累计规模):

![](https://hummingbot.io/static/45752bff927fc09883b4cb437d71de16/76413/chart_depth.png)

但这并不意味着**做市商**必须总是使用这个准确的买入价和卖出价。

做市商在决定其价差时，还必须考虑其他因素，包括:

市场买卖价差;
交易费用(包括交易费用和/或转让费用);
交易额;
市场波动;
运营成本(电费、云服务器成本等);
其他与交易操作有关的费用。

**做市商价差**的大小没有正确或错误的答案，最终，价差只是**做市商策略**的一部分。

>你可以使用命令更改Hummingbot上的价差百分比*config ask_spread* 为卖单，*config bid_spread*为买单。

## 什么是战略?

作为一个盈利的做市商，不仅仅是设置价差大小，开始向订单簿发送限价订单，然后转身忘记它。

在做市之前，你必须问自己几个问题:

我应该一直保持固定的价差吗?我应该根据市场情况改变它吗?

我的订单数量应该是多少?

当市场上有价格趋势时，或者没有明显的趋势时，我应该怎么做?

我要如何发现市场的方向?

我的订单要在订单薄上保留多久?

如果交易的一侧成交了了，我应该在订单薄另一侧挂单直到它也成交吗?

我是想随着时间的推移积累更多的同一种资产，还是我想一直保持50/50的余额?

如果出现价格飙升，我该怎么办?

我应该关心平均购买成本吗?

我应该什么时候退出市场，为什么？或者我应该一直交易?

我能失去什么，我的风险有多大?

这些问题的答案决定了你的行动(和反应)基于市场条件，并将最终确定你的战略。

一个好的做市策略不过是预先计划如何对市场变化作出反应。

但在你被这些问题吓到并放弃做市之前，这里有一个小窍门:

>**从小事做起。**
不要试图事先就知道你的策略的所有答案，而是一次关注一个参数，测试和观察在不同的市场情况下会发生什么。随着时间的推移，添加另一个参数，做更多的测试，并观察所有部分如何一起工作。

你不会找到一个一成不变的,拿来就可以用的,放之四海而皆准的,总是有利可图的策略/参数让你躺着赚钱,但一段时间后,你会开始了解每种策略的好与坏,尝试之后,它们当中的一些会符合你的目标。

>在Hummingbot上，你可以使用config命令以不同的方式组合不同的设置，以构建各种各样的策略。查看[纯做市策略参考指南](https://docs.hummingbot.io/strategies/pure-market-making/)，看看每个参数的用途。

## 自动交易和做市

因此,交易机器人……这可能是你阅读这篇文章的另一个原因;你不只是想成为一个做市商，你还想建立一个做市机器人来做所有的艰苦工作。

毕竟，Hummingbot是一个开源量化交易机器人，任何想要开始**量化交易策略**的人都可以免费获得。

虽然可以手动做市，但量化交易机器人可以让你精确地执行策略，消除情感因素(贪婪和恐惧)，甚至为更好的风险控制创造安全措施。

但并不是所有的机器人都是一样的，这取决于你要使用哪种策略(高频、低频、趋势跟踪、网格、跨期、定投……有很多可能性)，一个机器人可能比其他机器人做得更好。

毕竟，一个量化交易机器人是一个工具，我们必须正确使用的工具来完成工作。

Hummingbot是加密货币市场算法做市的一个很好的选择，因为它专注于这类交易操作。

但无论你选择使用什么机器人，重要的是要记住:
>交易业务的盈利能力是策略。算法只是将策略转换成计算机指令并自动方式执行。

## 关于利润和风险的快速笔记

**做市并不是一种无风险、总是有利可图的交易操作。**

与其他任何交易活动一样，运行一个利用市场缺陷的机器人，也有自己的一套风险/回报特性。

因此，在你开始使用真正的资金之前，确保你了解这类交易的机制是什么，以及你将面临什么样的风险。

>模拟交易模式使用命令paper_trading，它允许您在实时模拟环境中测试您的策略，而不需要将您的资金置于风险中。

## 如有任何问题获想参与讨论，请加入我们的社区

我们的社区有众多的做市商和套利者，他们愿意互相帮助，充分利用 Hummingbot。 您可以加入我们的 [Discord 中文频道](https://discord.gg/HgDExTAcWF)，讨论 Hummingbot、策略、流动性挖坑以及与加密货币世界有关的任何其他内容，并获得我们团队的直接支持。

加入中文微信群，请添加ID：amtf202004

更多教学互动视频，请订阅[bilibili频道](https://space.bilibili.com/2010395218/channel/detail?cid=178340)