
这篇文章我们会研究以下问题:

**套利是什么?**

**套利者需要做什么?**

**如何进行套利操作?**

**如何创建套利机器人?**

在Hummingbot学院，我们的目标是帮助你学习更多关于做市和套利的知识，以及如何使用我们的免费开源机器人来实现你自己的策略。

# 什么是套利?

套利的概念很简单:

>套利是为了从不同市场之间的资产价格差异中获利而买卖资产的行为。

为了更好地解释**套利**操作是如何发生的，让我们来谈谈香蕉。是的,香蕉。
 
  ![](https://images.ctfassets.net/h07e7qaokuyy/78KWxcQx6F0wS0aOAKZQJA/d2b416ec510c8656009d04ea90f514ff/banana_market.png?w=650&h=488&q=50&fm=webp)
 
想象一个以生产香蕉为主要经济来源的小镇，许多农场在当地市场上销售他们的作物。

这导致大量的香蕉在当地出售，由于供应量很足，所以它们很便宜，我们假设每公斤0.5美元。

几公里外有一个大城市，但它的经济主要依靠工业，因此周围没有很多香蕉农场。

但这个大城市的居民仍然想要吃水果来保持健康，这就产生了对香蕉的巨大需求，他们愿意支付每公斤0.65美元。

很明显，这是一个机会，商人可以从小城镇购买香蕉，在大城市出售，每运输一公斤利润0.15美元(不计算运输成本)。

在这种情况下，商人(套利者)正在进行一种套利操作:从一个市场购买并运输香蕉(资产)，然后在另一个市场出售以获取利润，同时如果交易双方同时完成，通过锁定利润来降低风险。

## 这和做市操作不是一样的吗?

尽管这两种操作的基本概念非常相似(低买高卖，利润率很小)，但关键的区别在于做市商和套利者寻找交易的“地点”。

>💡做市商就像[当铺老板](https://bihu.com/article/1265346713)一样在同一个地方经营，在同一个市场上买卖。套利者(就像在城镇之间运输货物的商人)，在不止一个地方运作，从两个(或更多)不同的市场接受买卖报价。

两者影响市场的方式也不同,**做市商**提供流动性,减少买卖价差和滑点,而**套利者**是从两个市场拿走流动性(通常是其中一个高流动性市场，另一个是低流动性市场),并推动两个市场保持相同的价格水平。

##市场效率低下和金融市场套利

在世界各地，有许多不同的金融市场，各种资产每天都在进行交易。

每一个国家或者重要城市通常都有自己的金融交易所，各种各样的投资者聚在一起买卖不同的金融产品。

美国有纳斯达克(NASDAQ)和纽约证券证交所(NYSE)，芝加哥商品交易所(CME)和芝加哥期权交易所(CBOE)，日本有JPX，中国有上海证券交易所(SSE），德国有FRA，巴西有B3，世界各地还有很多其他交易所。

尽管信息技术有了巨大的发展，交易的数量和每一个交易之间的距离仍然导致了所谓的市场低效。
为了说明这一点，我们将看看两个不同市场上的美元-日元(USD-JPY)价格。

让我们假设在某个时间点，纽约一家交易所和日本一家交易所的订单薄完全相同:
 
   ![](https://images.ctfassets.net/h07e7qaokuyy/3ZlvU8wMK4kiEzzm3KrhdP/cb3cafc5e38267ab94d4a5260888ef70/spread1.png?w=650&h=301&q=50&fm=webp)

然后，一名投资者决定在日本交易所以市价买入360日元。

接下来会发生的是，日本交易所的订单薄上会有一个新的成交价，通常，做市商会在交易簿上创建新的买入价，以填补这次买入造成的差价:
 
   ![](https://images.ctfassets.net/h07e7qaokuyy/cIbOZnybGUBztThrtkbM8/b0c34ed7d9ae1330e5c8590e46ab7e9a/spread2.png?w=1300&h=372&q=50&fm=webp)

 
这是套利者采取行动的时刻，他在纽约交易所以106.207的价格买入100日元，在日本交易所立即以106.29的价格卖出，在交易中净赚8.70美元(0.082%)。

最终，随着更多**套利**操作的发生，纽约交易所的报价将会上升，直到与日本交易所的报价相匹配为止。

>💡在传统的金融市场上，存在着大量的套利竞争，盈利能力以毫秒为单位。这样做的公司通常会在技术和基础设施上投入巨资(数十亿美元)，以提高套利算法的速度。

## 加密货币和套利机会

随着加密货币价值在过去10年的上升，交易所也随之增长，今天[Coinmarketcap.com](http://coinmarketcap.com/)列出了总共384个交易所，可交易10297种不同的加密货币。

这为套利操作创造了大量机会，因为所有这些交易量、流动性和分布广泛的交易所之间仍然存在巨大的市场无效性。

但加密货币交易环境中有一个新的有趣因素，它增加了一层额外的可能性:去中心化的交易所。

>💡**中心化交易所(CEX)**:所有资产由交易所托管，用户余额由交易所控制。
**去中心化交易所(DEX)**:所有资产都在所有者的托管下，交易所的功能是让买家和卖家在他们的私人钱包之间进行交易。

CEX模型反映了传统金融市场中已经存在的东西，这种久经考验的服务已经在加密货币领域提供了很长时间。可以说，做套利交易的竞争已经很激烈了，特别是在较大的交易所之间，随着时间的推移，越来越难找到好的机会。

另一方面，DEX的概念相对较新，有很多不同模式和去中心化程度的项目正在开发中。

事实上，像Uniswap这样的AMM(自动做市商)去中心化协议实际上依赖套利者来调整他们的内部价格，以匹配其他外部交易所。

这为套利者提供了大量的机会。

所以，如果你正在寻找这些机会，一定要去了解去中心化的交易所的运作情况。

>💡通常情况下，所有的交易所都会对每次交易操作收取费用，所以在计划你的套利策略时，一定要考虑执行交易的成本。DEX需要考虑额外的成本，因为根据交易的处理方式，可能会有一些额外的成本，如区块链交易费用。

## 自动化交易和套利

要完成一笔有利可图的套利交易，有两个关键要素:

- 找到两个有价差的市场;
- 比任何人都先接受订单薄中列出的市场报价。

从理论上讲，套利操作可以通过人工在交易所输入买卖价格和成交量来实现。

但当你准备点击按钮完成交易时，很可能已经有人已经拿走了你准备交易的挂单，交易将不再有利可图。

使用算法交易机器人已经成为当今市场上套利操作的一个重要组成部分，因为它可以快速执行上面列出的两个组成部分，通过不断寻找有利可图的交易，并在它们被检测到的准确时刻执行它们。

>🐦您可以使用create命令在Hummingbot上创建一个套利策略，然后在询问您想使用的策略时输入arbitrage。

## 套利风险

**套利**操作的概念非常简单:在一个市场低买，同时在另一个市场高卖。

当成功完成这两个操作时，这消除了投资的一个大风险:波动风险。

套利者不必担心价格变动或试图找到市场趋势，他们只需要在一个地方以较低价格买入，然后立即在另一个地方以较高价格卖出。

但和其他交易策略一样，套利并非完全没有风险。

风险主要取决于交易执行(你是否能在别人之前完成交易？)和市场流动性(市场上是否有足够的以你期望的价格交易的订单？)。

想象一下做香蕉生意的商人,他运输香蕉时可能遇到的问题(缓慢的卡车、爆胎等),当他到达大城市,人们愿意支付的价格或许降低了,这会使得他的利润变少，甚至可能会造成亏损。

在某种程度上，套利者可以通过一些方法降低风险并创造优势，例如，使用更可靠的基础硬件设施，或把服务器转移到离交易所服务器更近的地方。

此外，由于套利竞争日益激烈，机会也越来越难获得。套利者可能在很长的时间内找不到套利机会。

与任何其他类型的交易一样，在将你的资产置于风险之前，一定要了解风险并测试你的策略。

>🐦使用Hummingbot，您可以使用命令paper_trading启用纸面交易模式，它允许您在实时模拟环境中测试您的策略，而无需将您的资金置于风险中。

你必须考虑的另一个重要风险与你使用的交易所有关:

**中心化交易所**，可以以任何理由(黑客、诈骗等)拒绝你访问交易所，所以一定要研究交易所声誉和安全系统，尽量在大交易所进行交易;

**去中心化的交易所**操作依赖智能合约来控制交易流程，代码中的漏洞或缺陷可能导致资金被锁定或被盗等大问题，因此了解DEX背后的程序是否没有重大缺陷是很重要的。即使你不懂编程，也可以在网上查找可能存在的漏洞的信息。

## 如有任何问题获想参与讨论，请加入我们的社区

我们的社区有众多的做市商和套利者，他们愿意互相帮助，充分利用 Hummingbot。 您可以加入我们的 [Discord 中文频道](https://discord.gg/HgDExTAcWF)，讨论 Hummingbot、策略、流动性挖坑以及与加密货币世界有关的任何其他内容，并获得我们团队的直接支持。

加入中文微信群，请添加ID：amtf202004

更多教学互动视频，请订阅[bilibili频道](https://space.bilibili.com/2010395218/channel/detail?cid=178340)

