
今天我们会谈一谈各类交易(股票、外汇、数字货币)中我认为最重要的因素:**风险**和**风险管理**。

正如我们这个时代最大的投资者之一曾经说过:

“*风险来自于你不知道自己在做什么*。”~沃伦•巴菲特(Warren Buffett)


 ![](https://hummingbot.io/static/7864ebbbbf6fa0dc6ca7c9da102a0701/7fd2c/image3.png)
 *图片来源:https://www.azquotes.com/quote/40644*

各种金融交易都有不同程度的风险，做市也不例外。

虽然想象和预测未来收益、幻想成为下一个沃伦•巴菲特(Warren buffett)似乎更令人兴奋，但投资的现实性和不那么迷人的部分，也可以说是最重要的部分，是试图找出可能出错的地方，以及如何减轻可能导致的损失。

关于风险和风险管理有很多内容要讲，但今天我们将集中讨论与做市有关的一个主要风险:**库存风险**。

以下是我们今天的文章所涉及的内容:

* **什么是库存价值?**
* **什么是库存风险?**
* **如何利用Hummingbot降低库存风险**

和往常一样，欢迎你加入我们微信群，与社区成员讨论如何改进你的做市策略。

# 什么是库存风险?

作为做市商，你的主要职责是为其他市场参与者提供流动性。

你是在为其他交易者提供服务，向其他人提供买卖资产的服务，同时通过你的买入价和卖出价之间的价差(低买高卖)获得报酬。

为了能够提供这项服务，做市商必须在存货中持有一定数量的资产，以便创建订单和进行交易，而这种存货具有与之相关的价值。

**库存价值**

正如任何市场参与者都知道的那样，资产的价格是不断变化的，所有的交易者都必须有一种方法来跟踪他们是否盈利。

跟踪业绩的一个简单方法是比较交易者所拥有资产的总价值。

例如，假设你目前拥有0.46820424 BTC和14.6426 ETH:

**第一天库存**

 ![](https://d33wubrfki0l68.cloudfront.net/35db75f1068cb203f29add09321cc7272339a5b9/6271a/static/a12f912c83aa4c81e742ed61116b4a42/b996f/table1.png)
 
第一天，你的资产现值是1万美元。即使你实际上没有任何美元，只拥有BTC和ETH，你也有可以将你的BTC和ETH转换为1万美元。

*库存价值会因市场价格的变化而波动，因为资产相对于基准资产的价值会发生变化。*

如果你没有交易(HODL!)，在第2天，你仍然拥有与初始投资组合相同数量的BTC和ETH。

**第二天库存**
 
然而，由于这些资产的价格发生了变化，库存价值已经下降到9761.38美元。BTC值上升，ETH值下降。

>存货价值是指投资组合中所持有的所有资产的当前价值，以一些选定的基准或参考资产(如美元)进行量化。

投资者对确定价值的基准参考资产的选择是不同的。例如，美国的投资者可能使用美元，而中国的投资者选择人民币。这是因为，至少在目前，他们的大部分成本(食品、租金)仍以美元(或人民币)计价，而法定货币仍是他们资产和购买力的基准。

# 交易中的库存风险

做市商的主要目标是随着时间的推移增加其总库存价值。更常见和普遍的投资方式是试图购买未来会升值的资产。这是一种“趋势”投资，即购买“廉价”资产，并押注某项资产的价格最终会上涨。

相比之下，做市商试图通过捕获不断变化的买卖价差，并随着时间的推移积累它们来增加投资组合的价值。做市商不断地调整买单和卖单的报价，提出买单价格要比他提出的卖单价格稍低。如果做市商能够成功完成一组买卖交易，他们就能赚取其中的利润，即“买卖价差”。做市商完成这种买卖循环的次数越多，他们能够积累的利润就越多。

正如我在前面一篇文章中提到的，做市商的理想情况是价格没有趋势:

 ![](https://d33wubrfki0l68.cloudfront.net/7e813d67e0c5e9f04c804753374f11de86541202/ccee3/static/29caaf2c49b3d2c9ec3d17e64bbfc875/88cea/image6.png)
 
当价格在一定范围内交易时，做市商的买卖越有可能以相同的频率进行，做市商就越有可能积累增量利润。

当价格开始趋向一个方向时，麻烦就开始了。

例如，如果价格开始下降，他的买入订单将开始成交，而卖出订单则一直没成交:

 ![](https://d33wubrfki0l68.cloudfront.net/fe030b4a8795bcc5eae776453dbeaf12dfbfb2ac/4d70e/static/b5d1401d9981ca5f84b45d3b7f81256b/b996f/image8.png)
 

这种情况的结果是做市商将开始积累正在贬值的资产的库存，导致总库存价值随着时间的推移而下降。

最终，价格可能会回到有利可图的水平，做市商将能够以有利可图的价格出售他的库存。但问题是，如果这种情况持续下去，价格继续下跌，所有做市商库存将被锁定在一边。

在某一时刻，做市商将不得不做出决定，是关掉机器人，等待更好的价格，还是开始亏本出售库存，以维持运营。

这类似于一个零售店老板开始增加他的库存，从供应商那里以更低的价格购买更多的产品，但他的客户对购买他的产品不太感兴趣。

尽管做市商同时创造了买卖订单，但并不能保证买卖两边都能成交。在上面的例子中，买单不断成交，但卖单却从未成交。这也使做市商面临库存数量波动的风险。例如，做市商可能积累贬值的资产;相反情况是，做市商不断抛售升值的资产。

>**库存风险**是指做市商无法为其库存找到买家，从而导致在错误的时间持有更多资产的风险，例如在价格下跌时积累资产，或在价格上涨时过早卖出资产。

# 利用Hummingbot进行库存风险管理

库存风险是做市的主要风险。这就是为什么Hummingbot有很多自定义策略来降低库存风险，也是为什么我们的团队持续围绕这个主题开发更多功能。

这种灵活性使做市商能够以多种方式降低操作风险，并根据自己的主策略进行调整。

以下是一些如何控制**库存风险**的例子:

**History 命令**

`history`命令显示历史交易以及自bot启动以来总资产金额变化的汇总信息。

这是一种很好的方式来查看每一边的库存变化量，并与总价值进行比较。

**Inventory skew**

使用`config inventory_skew_enabled`, bot将更改每个新订单的`order_amount`，以重新平衡总库存大小。

可以通过命令`config inventory_target_base_pct`定义库存上每个资产的目标比例，并使用`config inventory_range_multiplier`定义库存可以偏离这个比例的程度。

 ![](https://hummingbot.io/static/bf667b2c94c6b672bcdc5f7be93a8e07/0f41c/image4.png)
 
从上面可以看出，库存上的BTC比USDT多，所以机器人的卖单数量比买单数量多。

此参数可用于库存保护，例如，如果做市商发现一个趋势在一个方向形成:如果BTC价格趋势上升，做市商可以开始积累更多的BTC，设置`config inventory_target_base_pct`为70。

此外，如果你交易的是非美元对(例如ETH-BTC)，这是特别有用的，交易者可以评估每个资产与美元交易对的价值，并调整库存倾斜，如果你认为某项资产将在未来有更高的价值。

 ![](https://hummingbot.io/static/ee14414187e4a36fa779bd1d5fec575a/b996f/image9.png)
 
>Inventory skew就像一个持续的钟摆平衡行为;一旦交易者积累了过多的目标资产，Hummingbot就会调整订单大小(少买，多卖)，以尝试回到目标持仓量，反之亦然。

Inventory skew的目的是减少库存数量摆动太多的风险。试图维持50%这样的目标比率有助于确保做市商能够持续对买卖双方报价，并获得买卖价差。

**Filled Order Delay**

通过`filled_order_delay`参数，做市商能够为bot设置一个延迟时间，以便在前一个订单成交后创建后续的新订单。

例如，当bot创建的订单被填充时，`filled_order_delay = 300`，下一对订单只会在300秒之后被创建。

当价格出现趋势时，这有助于管理下单周期。例如，在下面的图表中，在价格趋于下降的情况下，一旦订单被刷新，订单就会不断得到满足。

 ![](https://hummingbot.io/static/d82fec1cbfe973b273228e996270d39c/b996f/image10.png)

 
如果这种情况重复并继续下去，做市商可能很快就会在几个订单刷新周期内积累大量资产。在上面的例子中，交易者的买单五次成交。

通过在已完成订单和下新订单之间引入延迟，这一段空白的时间抑制了资产的快速积累
，为价格趋势稳定留出了一段时间。

 ![](https://hummingbot.io/static/2509cf14ac4de289f00475a9643a0c12/b996f/image1.png)
 
你可以从上面看到，由于在周期1的买单已成交，机器人没有在周期2、3和4下订单。所以在这个价格下降的趋势中，机器人只购买了两次(周期1和5)，而当`filled order delay`没有启用时，机器人会在所有5个周期中买入。

**Hanging Orders**

挂起订单是一种把同时创建的买单和卖单视为配对的功能。如果一边成交了，机器人就会保持配对的另一个订单继续挂在订单薄上，从而为另一边最终成交创造机会和可能性:

 ![](https://hummingbot.io/static/41d0f6770a25932fccdd32e57a892774/b996f/image7.png)
 
在上面的示例中，周期1的买单成交了。但是由于启用了Hanging Orders功能，在刷新周期(周期2)期间，来自周期1的原始卖单不会被取消，并且仍然未完成。与此同时，机器人继续创建新订单的操作(参见周期2到5)。在这个例子中，价格改变了方向，最终在某个时间点，在周期5左右，挂起的订单成交了。

这种策略的好处是，它创造了“交易完成”和平衡资产的可能性。在上面的例子中，挂起订单锁定了买卖差价，并最终让交易者买卖双边最终都成交了。

**Ping Pong**

乒乓策略是另一种试图保持买卖平衡的策略。为此，它只在已成交订单的另一边创建订单。例如:

 ![](https://hummingbot.io/static/316b666c75148e7d8201fa5fc2a07224/b996f/image5.png)
 
因为周期1中的买入订单已被填满，机器人停止下买入订单，只下卖出订单(周期2-4)。只有当卖出订单最终成交(周期4)时，机器人才会继续创建买卖订单(周期5)。

**根据价格趋势调整价差**

通常，做市商应用相同的bid_spread和ask_spread。这在横盘行情中很好，因为价格将在一个区间内移动，很自然的，库存将趋于50/50，做市商将从价差中获利。

但就像我们上面说的，在趋势化的市场中，它会出现问题，因为库存可能会开始堆积在价值较低的资产一边。

缓解这种情况的一种选择是在一侧收紧价差，以增加先执行这些订单的可能性。

例子:
M做市商Mark以`bid_spread = 0.5`和`ask_spread = 0.5`开始对BTC-USDT进行操作。但是价格开始呈上升趋势，所以他将参数改为`bid_spread = 0.1`和`ask_spread = 0.9`。

这样一来，他的总价差仍然是1%，但他的买单比卖单成交几率更高。

**Scripts**

Hummingbot有一个内置的脚本功能，你可以在其中创建自己的定制策略，机器人将根据你的策略调整参数。

你所需要的只是懂Python编程，创建一个与Humminbot代码库集成的.py文件，并通过`config script_enabled`命令激活脚本(你可以在[这里](https://docs.hummingbot.io/scripts/overview/)找到关于脚本的更多信息)。

你甚至可以创建一个脚本来实现一个AMM（自动化做市）的逻辑，正如[reddit用户所要求的](https://www.reddit.com/r/Hummingbot/comments/j6u8x0/amm_on_hummingbot/)那样。

我们的开发团队正在对script模块进行大量改进，因为这是Hummingbot用户实现定制策略的主要方式。

#总结

现在成为一名交易者真的很容易。

但要成为一名优秀的交易者，那就是另一回事了。

经过这些年对金融市场的研究，我意识到区分成功交易者和失败交易者的主要因素是他们对风险的了解程度以及他们如何进行风险管理。

一个好的策略不仅仅是找到最佳的赚钱方式，还要知道当市场的走势与你的计划背道而驰时该怎么做。

了解每个交易类型相关的风险是找到可持续盈利策略的关键。

与做市相关的主要风险是库存风险。理解并学习缓解这种情况的方法，应该是所有希望在任何市场上成为做市商的人的首要任务。

本文介绍了有关该主题的解释,使用hummingbot一些实用的方法来管理这种风险,但这是一个非常重要的话题,有大量的研究论文,像[Dealing with the Inventory Risk: A Solution to the Market Making Problem](https://www.researchgate.net/publication/51957950_Dealing_with_the_Inventory_Risk_A_Solution_to_the_Market_Making_Problem) 和 [Market making with asymmetric information and inventory risk](https://www.sciencedirect.com/science/article/abs/pii/S0022053116000065),我们将在未来进一步讨论这个话题。

此外，随着最近自动做市商协议(如Uniswap的流动性矿池)、流动性挖矿以及与去中心化金融(DeFi)相关的一切的兴起，如果你想成为一个被动做市商，了解风险是非常重要的。

我们已经发表了相关文章来比较Defi和在订单薄做市的关键区别。

## 如有任何问题获想参与讨论，请加入我们的社区

我们的社区有众多的做市商和套利者，他们愿意互相帮助，充分利用 Hummingbot。 您可以加入我们的 [Discord 中文频道](https://discord.gg/HgDExTAcWF)，讨论 Hummingbot、策略、流动性挖坑以及与加密货币世界有关的任何其他内容，并获得我们团队的直接支持。

更多教学互动视频，请订阅[bilibili频道](https://space.bilibili.com/2010395218/channel/detail?cid=178340)

加入中文微信群，请添加ID：amtf202004



