在加密货币市场中，对流动性的需求就像死亡和税收一样是一个永恒的主题。然而，正如我们之前在其他博客中所写的（比如[这篇](https://hummingbot.io/blog/2019-11-liquidity-mining/)），代币发行s商和交易所在加密市场中进行做市的方式被打破了。对高成本，价格欺诈的加密货币市场庄家的依赖是不可持续的或可扩展的。这促使我们提出了[流动性挖矿的概念](http://bit.ly/liquiditymining) 并推出了[Hummingbot](https://miners.hummingbot.io/)矿工平台，用于分散和众包做市。

我们很高兴看到其他项目尝试以社区为基础的流动性供应，尤其是在DeFi中使用自动做市商（AMM）。无论是所谓的“liqudity mining”还是“yield farming”，DeFi的活动都在迅速增长，如Compound，Synthetix，Balancer，Ampleforth和Loopring等协议旨在通过奖励其社区提供流动性来推动更广泛的市场应用。

随着人们对流动性挖矿的浓厚兴趣，我们在这篇博客中解释了Hummingbot Miner平台如何适应这一环境。我们还比较和对比了中心化交易所推广的订单簿模型与DeFi中流行的自动做市商（AMM）模型在流动性挖矿中的不同特点。

## 什么是流动性，为什么重要？

我们首先从定义目标开始。通常有几个与“流动性”概念相关的指标，例如交易量，买卖价差和滑点。这些指标的目的是量化资产交易的***容易程度和效率***。

以下是两个具有相似特征的订单簿的示例：相同的中间价格，最佳买/卖价，买/卖价差。然而，它们的不同之处在于，资产B的订单簿的资产流动性（订单簿深度）是资产A的5倍，即对于每个价格水平，资产B的订单簿的资产比资产A的流通量多5倍。下面的图表和汇总表显示了我们同时在这两个订单簿购买（吃单，Taker)相同数量（500）代币的影响。蓝色柱表示卖方(挂单，Maker)被这个订单影响的情况：

![](https://hummingbot.io/static/6950a5b226a68fa1516adf16f41cf769/ebabe/Asset-A-%26-Asset-B.jpg)

![](https://hummingbot.io/static/ef106be57ec3493af52a9e7dc900cf0c/ebabe/Asset-A-%26-Asset-B-Computation.jpg)

因为资产B的流动性更大，并且订单簿的深度更深，所以：（1）我得到的加权平均价格较低（100.5对101.1，或者 *总支出*50,250对50,550）购买接近中价的500个代币，在此示例中也与最优出价相同，并且（2）中间价的受交易的影响较小（从100到100.25对100.5），这意味着订单簿可以吸收更多的交易，而价格波动较小。

即使两种资产都以相同的价格开始（相同的中间价格，最佳买价/卖价格，买卖价差），最终，对我来说，购买我购买目标数量的资产A的成本更高，因为资产A的订单薄更薄，流动性更差。同样，如果我后来想卖出我的持有的500股A资产，那么我再次以较差的价格出售：

![](https://hummingbot.io/static/a98c90f2e2bd71daa304f91a5eda88bf/cdb69/Asset-A-%26-Asset-B-2.jpg)

![](https://hummingbot.io/static/69c92e79edfe5f57b69421f7160baed8/1d6c9/Asset-A-%26-Asset-B-Computation-2.jpg)

我卖出500股资产A和500股资产B后，在资产B的账户中我会多得到300美元。在进行买卖交易后，在资产A市场我蒙受了1100美元的损失（50550买入，49450出售）在B市场的损失是仅为500美元(50250买入 ,49750卖出)。我在交易资产B时产生的摩擦成本较低。作为一项投资，资产A的价格将必须比资产B的价格上涨更多，才能克服流动性较低而导致的额外摩擦成本。

一种思考方式是，较低的流动性导致对资产交易的更大的“惩罚”，这既会给（1）想要持有资产的用户（购买代币更昂贵），又会给（2）投资者带来影响，因为购买和最终出售资产的摩擦成本将更高。同样对于两种类型的买家来说，如果没有订单薄深度来容纳更大的订单规模，缺乏流动性甚至可能使得他们无法完成预期的交易。

## 为什么流动性对代币发行商很重要？

 ***流动性或缺乏流动性可能成为协议使用的障碍。***获取用于协议的本地代币的困难和低效会阻碍用户和潜在的新用户采用该协议。在上面的例子中，资产A的较低流动性使得获得代币的成本更高，并增加了交易资产时的摩擦。在更极端的情况下，可能没有足够的订单深度来满足用户对更大量代币的需求。与我们讨论过的几个发行商都指出，这是一个反复出现的问题。他们经常收到来自基金或其他代币大买家的请求（例如，获取以进行抵押）不能有效地或根本不能从交易所获得足够的代币数量。此外，较高的易变性为潜在的协议用户带来了额外的风险，他们现在必须考虑定价、时间和库存风险，才能获得使用该协议的代币。

***投资者决策中的流动性因素。***流动性差和订单稀少会阻止较大的投资者收购和参与资产交易，由于更高的波动性和不确定性，使得他们能够买卖大量代币进行交易：“如果我今天购买X个代币，是否存在我明天可能无法出售X个代币的风险？”。对于较大的投资者和管理较大投资额的机构而言，流动性是投资决策中的重要因素，可能会阻止此类型投资者购买资产。自然地，潜在投资者的减少，尤其是潜在的大型/机构投资者的减少，意味着资产的总需求和活跃交易者的减少。

***流动性使大户无法影响价格：***代币如果由少数几个大股东持有，市场被操纵和共谋的风险较高。订单薄和缺乏流动性进一步加剧了这一风险。相反，广泛分发的代币，跨区域的深厚流动性以及大量流动性提供者可以减轻这种风险。

***缺乏流动性可能导致交易所退市：***交易所通常要求代币具有目标交易量和活动量。他们通常会警告代币发行商，其代币在其交易所的交易量中所占比较低。一些因素可能还包括交易代币的唯一交易者的数量。如果代币未在交易所上市或公众不容易获得则会影响到前两点：使用的障碍和关闭对潜在投资者的投资渠道。

## 什么是流动性挖矿？

在上面的例子中，“提供流动性”表示创建添加到订单簿深度的挂单(maker)/限价单。通过添加挂单(maker)订单以填充订单簿，流动性提供者履行吸收吃单(taker)订单和促进其他市场参与者交易的重要职能。传统上，提供流动性或做市​​是主要或完全由专业参与者完成的：专业做市商，加密货币基金，交易所本身。

在我们的白皮书 [流动性挖矿](https://hummingbot.io/liquidity-mining.pdf)中，我们创造了“流动性挖矿”一词，该术语是指提供流动性的众包，去中心化的替代方案。流动性挖矿不是依靠专业交易者，而是从参与者网络中获取流动性，参与者网络可能包括代币发行商自己的社区，hummingbot社区等其他交易者群体，或更广泛地说，是一般交易/代币持有者上市。由于做市是有风险的，并且需要部署/绑定资产，因此流动性挖矿需要提供一种激励机制，以吸引参与。

Hummingbot流动性挖矿的重点是让分散的做市商在中心化交易所订单簿（例如中心化和去中心化交易所）上建立市场，而诸如 Uniswapz， Balancer， 和 Curve之类的协议， 通过贡献资产供自动化做市商使用来促进流动性。

## 为什么要进行流动性挖矿？

流动性挖矿为发行商提供了许多好处：

**减少对昂贵的做市商的依赖。**为了获得流动性，项目目前需要向对冲基金进行做市。对冲基金收取很高的费用，通常要求发行商提供价值数百万美元的存货用于做市，并收取很大一部分利润。做市商在上行空间中占有一席之地，但没有下行空间。此外，对冲基金通常是一个黑匣子，对其交易方式的可视性有限，因此很难评估做市商的工作状况。

**奖励和参与社区以分散流动性。**通过流动性挖矿，发行商可以奖励为做市做出贡献的整个社区和个人。奖励根据明确定义的规则进行分配，以确保参与者因特定的合格行为而获得奖励。这也提供了一种将令牌分发给更多用户的方法。最后，去中心化的做市分散了流动性的来源，减少了对单方的依赖。

**使代币持有者能够赚取丰厚的收益。**代币持有者现在可以更高效地使用其代币，而不仅仅是持有。做市需要将资产保留在库存中，并使其可用于交易和创建订单。长期持有人可以参加流动性开采以部署其持有的资产，以赚取流动性开采的回报和收益。如果奖励或收益是以本机代币计价的，则具有额外的效果，即价格上涨进一步提高了收益，形成了一个良性循环，因为它对市场参与者购买代币以参与流动性挖矿更具吸引力。

## 流动性开采的历史

Hummingbot在一个网站中创造了“流动性挖矿”一词。 [白皮书](https://hummingbot.io/liquidity-mining-whitepaper)我们于2019年10月发布; 与工作量证明或权益证明的挖掘概念相似，在流动性挖矿中，分散的参与者使用自己的资源（用于运行做市机器人的计算，代币库存）进行做市。总体而言，所有参与者都在为特定的代币发行商和交易所提供流动性，以提供奖励。

但是，在此之前，已经有过激励社区提供流动性的其他实验：

币安，火币和HitBTC等中心化交易所的交易竞赛是这些竞赛的前身。比赛通常根据交易量来奖励用户。

Synthetic于2019年春季推出Uniswap流动性激励活动

Hummingbot的 [ONE Makers liquidity bounty program](https://hummingbot.io/blog/2019-09-does-community-based-market-making-work/) 在2019年夏天推出，这是我们的“liquidity bounties”流动性挖矿试点项目。

随后在2020年3月，我们启动了新的Hummingbot Miners平台，实现了我们在白皮书中概述的流动性挖矿，至此我们已经为8个代币发行商开展了活动。

## DeFi命名法：“liquidity mining”与“yield farming”

“流动性挖矿”一词最近在DeFi领域得到了更广泛的应用，例如Balancer和Curve，它们也是提供流动性的分散协议。与Uniswap相似，Balancer和Curve是自动做市商，其中流动性提供者通过将资产存入能够进行交易的池中赚取费用。除了这些费用外，Uniswap、Balancer和Curve还通过向流动性提供者支付交易所代币来提高流动性提供者的收益。

除了在Balancer和Curve上进行流动性挖矿外，其他DeFi协议也越来越多地使用和采用“流动性挖矿”一词，以激励用户存款/部署其资产以换取代币奖励，例如Compound。尽管这些协议在交易环境中不专注于“流动性”，但它们确实在资产负债表管理环境中处理“流动性”，就其对公司（或用户/当事方）可用资产的含义而言。DeFi行业还将此类协议包含在“流动性挖矿”保护伞中。由于这些协议涉及部署资产以赚取额外的代币奖励或收益（用于为资产贷款提供交易流动性），因此这种活动也称为“yield farming”，

在此博客中，我们仅关注流动性挖矿的形式，该形式指的是部署资产以促进资产交易。

## 流动性开采选择

### 自动化做市商

Uniswap是第一个被广泛采用的自动化做市商，尽管还有其他协议（例如Bancor）已经提出并正在预先研究类似的概念。AMM是简单的智能合约，其中包含两个（对于Uniswap而言）或更多（对于Balancer而言）不同的资产，且每个资产的金额都不相同。任何人都可以通过向AMM发送一定数量的一种资产并接收一定数量的其他某种资产来进行交易。

AMM的机制实际上很简单。以下是Uniswap风格合约的数值示例（供参考，请参阅此AMM电子表格）。我们从交易资产A和资产B两种资产的合同开始。一家流动性提供者（或流动性矿工团体）已存入资产A的100个代币和资产B的200个代币。Uniswap是一个“固定产品做市商”。制造商”，这意味着在交易中使用的兑换率被确定使得资产A和资产B的数量乘积在任何交易之前和之后均相等。在此示例中，起始产品为20000：

![](https://hummingbot.io/static/51d5a7c5f6925cb8586a9eb09a6903af/cdb69/amm-1.jpg)

下表说明了交易者以资产B（将1单位资产B存入合同）进行交易以换取获得（从合同中撤出）一定数量的资产A的影响：

![](https://hummingbot.io/static/edbd36b55a832c17d973b98ea4b9b59f/cdb69/amm-2.jpg)

交易者获得的资产A的数量仅由数学公式确定：

![](https://hummingbot.io/static/64ea9dd12290e7aa35d8bd61e6abe9a0/b996f/amm-eq.png)

AMM只是求解资产A后交易的数量，该数量将使等式的左侧和右侧保持相等，在这种情况下为99.504。结果，交易者收到资产A的0.496，这是100初始余额与99.504所需的新余额之间的差额。

### ***流动资金提供者的收益***

上面的示例还显示了对流动性提供者的好处，这是0.30％的内置费用。对于100个资产B的交易，合同保留约0.003的资产B价值（100 x 0.3％）。在示例交易中，交易者获得0.496的资产A。如果没有0.30％的手续费，交易者将获得0.4975的资产A。流动性池中剩余的资产0.0015是流动性提供者保留的价值。

注意：由于资产A与资产B的比率为1：2，因此保留的资产A的0.0015对应于资产B值的0.003，即按100资产B交易规模收取的0.30％的费用。

### ***参与和分享奖励***

为了成为AMM的流动性提供者，您只需要按照合同中资产的当前比率将代币存入合同即可。在上面的示例中（交易之前），我可以简单地以相应的1：2比率（100：200）存入资产A和资产B。我可以存入10个单位的资产A和20个单位的资产B，这使我有资格索取合同总流动性池的9％。在将来的某个时候，我可以撤回对当时资产池的9％的索偿要求，包括已经产生并保留在流动资金池中的任何费用。

这种形式的流动性挖矿激励非常直接；流动性提供者的费用是每笔交易的固定百分比，而流动性提供者的报酬份额仅基于他们存入合同的资产与整体流动性池的比率。

### ***AMM变体***

与Uniswap相似，其他流动性挖矿协议/活动（例如Balance，Ampleforth的Geyser和Curve）的工作方式与上述方法大致相同。但是，他们的每个流动性采矿平台也向流动性提供者支付了其本机令牌（分别为BAL，AMPL和CRV），以作为提高收益的额外激励措施。

Balancer与Uniswap的不同之处还在于，它允许将多个资产（最多8个）包含在一个流动性池中并在其中使用。

## 订单簿流动性挖矿

![](https://hummingbot.io/static/4da8861b9f2948173492bf6b958920f9/35822/Miners_App.jpg)

我们的流动性挖矿平台 Hummingbot矿工是一种不基于智能合约的流动性挖矿形式。我们不是依靠智能合约，而是使用数据系统和基础结构来衡量流动性提供者的交易活动以及现有交易场所（中心化和去中心化交易所）对流动性的贡献。尽管从本质上讲，它比AMM更为复杂，但其好处是灵活性更高，适用范围更广。例如，这种形式的流动性挖矿可以应用于中心化交易所所（除了DEXes），同时可以定制激励机制以奖励交易者的特定行动。此外，矿工正在从事传统的做市形式，在交易所定单中创建买入和卖出订单，以增加订单薄深度。

为了实现这种形式的流动性挖矿，我们为系统开发了两个主要组件：

1. **Hummingbot软件客户端**：具有工具和交易策略的开源交易机器人，任何人都可以充当做市商。

![](https://hummingbot.io/static/c9bccc9817a124a3bcd3ee6085e25dc5/a6a9e/Hummingbot.jpg)

2. **流动性挖矿基础设施**：数据收集和分析基础结构，使我们能够跟踪和分析流动性矿工创建的订单，以管理激励和奖励机制。

尽管我们提供Hummingbot作为使用户能够进行市场做市的工具，但拥有自己的机器人甚至是想要进行手动交易的交易者仍然可以参与流动性挖矿，而无需使用Hummingbot。

***这个怎么运作***

Hummingbot Miner流动性活动实质上是交易竞赛，具有资格和奖励分配的预定义规则。矿工因在订单簿中下订单和维持订单而获得奖励。代币发行商或交易所为奖励池提供资金，并指定参与者获得奖励的标准和方法，包括（1）哪个交易所（2）哪些交易对符合条件（3）订单的最大价差（4）奖励价差较小的订单相对价差较大的订单的奖励梯度。Hummingbot Miners基础架构收集用户订单数据，并将活动的规则应用于矿工的订单，以确定并最终支付奖励。

我们在白皮书中提出的创新之一是一种数据驱动的激励机制，该机制使流动性挖矿的报酬与做市相关的风险相一致：矿工从以下方面获得更高的报酬：（1）更持续地挂单；（2）价差收窄；并具有（3）个更大的订单量。流动性挖矿奖励池被平均分配在奖励期内的每一分钟。为了获得最大的回报，随着时间的推移，矿工将不得不始终如一地在订单簿中下单并维持订单。我们持续获取矿工创建的订单和交易的快照，并记录每分钟的汇总快照。然后，对于每分钟的快照，我们会根据价差（价差较小，权重较高）和大小（订单量较大，权重较高）对矿工创建的订单进行加权。

最终结果是，奖励旨在奖励创造有利流动性的行为（具有较小价差和较大下单量的一致订单），以补偿与这些行动相关的额外风险。

## 流动性挖矿替代方案汇总比较

![](https://hummingbot.io/static/0893376b5040d66ff468f8f01b94af50/cdb69/comparison.jpg)




## 如有任何问题获想参与讨论，请加入我们的社区

我们的社区有众多的做市商和套利者，他们愿意互相帮助，充分利用 Hummingbot。 您可以加入我们的 [Discord 中文频道](https://discord.gg/HgDExTAcWF)，讨论 Hummingbot、策略、流动性挖坑以及与加密货币世界有关的任何其他内容，并获得我们团队的直接支持。

加入中文微信群，请添加ID：amtf202004

更多教学互动视频，请订阅[bilibili频道](https://space.bilibili.com/2010395218/channel/detail?cid=178340)