Hummingbot 的每个版本总有一些新的东西可以探索，版本0.37也不例外。

在这个新版本中，我们最喜欢的算法交易机器人有两个重大改进：

- 永续协议连接器：一种新型去中心化 AMM 协议，用于在以太坊第2层 xDai 上运行的衍生产品市场
- 现货-永续市场套利策略：一种全新的策略，使我们的交易者可以利用这些市场之间的价格差异。

在这篇文章中，我们将探讨新的现货-永续套利策略的本质，帮助您了解其背后的逻辑，并讨论如何寻找良好的交易机会。

## 期货市场到底是什么？

现货市场非常简单：您设定一个要购买或出售资产的价格，当交易发生时，买卖双方结算交易。

期货市场略有不同：您交易的不是实际资产，而是在未来某个日期交付标的资产的合同承诺。

尽管由于高杠杆率的可能性，期货合约是交易者希望从价格波动投机中获利的主要工具之一，但这些市场存在的原因更为实际：它们是商品生产链参与者（生产商、出口商、矿工等）减少价格波动风险的一种方式。

例如，一个刚刚开始种植下季水稻的农民（有趣的事实：水稻需要大约 130 天才能收获），如果他不确定收获时价格会是多少，他可以按当前价格出售未来的水稻合约。

如果未来价格下跌，他能保证自己的利润空间，避免亏损。如果水稻价格上涨，他本可以获得更大的利润，但至少他避免了遭受不确定性的影响。

在贸易的另一面，可能存在一个食品加工业，它希望确保计划在收获后生产的水稻产品拥有与今天相同的原料成本。

## 合约到期日

期货合约的交易与标的资产价格无关。它们的市场价格反映了对该资产未来的预期：如果市场参与者预期资产价格上涨，那么期货合约的价格通常会高于该资产的价格。

从历史上看，每份期货合约都有一个到期日。随着到期日的临近，期货合约的价格和标的资产现货市场价格的差值将为零（或非常接近）。

随时间的变化对价格进行比较，就可以看到这种收敛。例如，看一下 BTCUSDT 现货市场（蓝线）与在 03-26 到期的比特币期货合约（橙线）之间的价格差：
![](https://hummingbot.io/static/f807db6064e427c78fb6dd7b23d389d0/b996f/market-start.png)

2.49% - 交易期起始的价差

![](https://hummingbot.io/static/9ff759902b9c46fae11f336c5f5c0c21/b996f/market-end.png)

1.25% - 交易期结束前15天的价差 

正如 Investopedia.com 上解释的那样，“之所以会发生收敛，是因为市场不允许同一商品在同一时间、同一地点以两种不同的价格进行交易。例如，您很少会在同一街区看到两家汽油价格截然不同的加油站。车主只会开车去价格较低的地方。”

### 永续合约：无到期日的期货市场

尽管无到期日的期货合约的想法自 1992 年以来就已经存在（由经济学家 Robert Shiller 提出），但直到 2016 年，全世界才在 BitMEX 比特币永续期货上看到了它们的实际用例。

“如果没有到期日，价格将如何收敛？”您可能想知道。

这就是资金费率支付（funding rate payments）发挥作用的地方。通常，每八个小时（时间可能会因交易所而异。永续协议使用一小时计时器），就会发生一轮资金支付回合，交易者根据当时的仓位互相付款。

您可以阅[这篇有关资金费率如何运作的详细文章](https://medium.com/derivadex/what-is-the-funding-rate-for-perpetual-swaps-a0335c4228a9)，但简而言之，资金费率的信号反映了现货价格和永续价格之间的差异：
```
if perpetual price > spot price => funding_rate is positive
if perpetual price < spot price => funding_rate is negative
```

另外，如果资金费率为正，则多头交易者向空头交易者付款; 如果为负，则空头交易者向多头交易者付款。预期结果是，由于存在杠杆，会发生一些平仓，并且永续市场价格将被推向更接近于现货市场价格的水平。

那么，套利机会在哪里？一切都与价格收敛有关。

正如我们已经讨论过的那样，随着时间的推移，期货和现货市场的价格将总是朝着相同的价格发展。

让我们快速计算一下，了解这种套利的工作原理（不考虑费用）：

在第 1 天，我们有以下价格：

- 比特币永续价格：$51,000

- 比特币现货价格：$50,000

套利开始是在永续市场上开设空头头寸，并在现货市场上购买确切数量的比特币。我们在这里使用 1 比特币的订单。

在第 2 天，价格收敛：

- 比特币永续价格：$52,000

- 比特币现货价格：$52,000

在这种情况下，我们结束套利并计算操作结果：

- 永续结果：- $1000

- 现货结果：+ $2000

- 最终获利：+ $1000

是的，就是这么简单。**但是，必须考虑一些风险。**

## 这种套利存在什么风险？

虽然这种策略可以被认为是低风险的，但仍然有一些我们应该谈论的危险：

***注意：我们只讨论现货永续套利风险，因为这是您可以在 Hummingbot 使用的策略。传统期货合约具有它们自己的套利风险。***

- 平仓：期货市场利用杠杆进行交易。在价格收敛花费时间过长的情况下，如果使用的杠杆太大，交易者就有被平仓的风险。谨慎使用杠杆。

- 执行：从发现机会到执行之间需要一段时间。如果在发现机会很长时间后才执行，那么价格可能会变动，机会将消失，甚至以更低的价格执行。

- 流动性：流动性低的市场通常订单稀少。根据订单的大小，价格可能也会随之变动。此外，如果有许多其他高频机器人参与该市场，那么您可能会遇到“虚假流动性”的情况。

## 如何使用 Hummingbot 开始套利

在 Hummingbot 的 0.37 版本中，我们推出了一个名为 ``spot_perpetual_arbitrage`` 的新策略，可以使用 ``create`` 命令对其进行配置。
然后会询问您以下问题：
![](https://hummingbot.io/static/ba9e90e884a3ecf8aa578746a2be26db/60eb2/hbot-config.png)

``Enter a spot connector``

输入一个现货连接器 选择您想在现货方面进行交易的现货交易所

``Enter the token trading pair you would like to trade on &lt;spot connector``

输入您想在现货连接器上进行交易的代币交易对 

``Enter a derivative name``

输入衍生产品名称

``Enter the token trading pair you would like to trade on &lt;perpetual connector``

输入您想在永续连接器上进行交易的代币交易对

``What is the amount of BTC per order?``

每笔订单的比特币数量是多少？这是将在双方创建的订单的大小。请注意，在永续这一方，头寸价值取决于您将使用的杠杆。

``How much leverage would you like to use on the derivative exchange?``

您想在衍生产品交易上使用多少杠杆？同样，请注意此处输入的值，因为如果市场走势与您的永续市场头寸相反，那么高杠杆值可能会导致您的头寸被平仓。

``What is the minimum spread between the spot and derivative market price before starting``

开始套利之前，现货价格与衍生产品市场价格之间的最小价差是多少？在这里，您将定义 ``min_divergence`` 值。当两个市场之间的价差高于此值时，机器人将在现货市场上执行交易，并在永续市场上建立相反的头寸。

``What is the minimum spread between the spot and derivative market price before closing``

收盘前现货与衍生品市场价格和现有套利之间的最小价差是多少？这是您希望机器人停止套利时市场之间的价格差。通常，您希望此值为 0，这意味着价格将相同。但是由于这种情况可能要花很长时间（如果有的话），这可能会增加平仓的风险，因此您可能希望将此值设置为大于零（但要低于 ``min_divergence``）。

``Would you like to take advantage of the funding rate on the derivative exchange, even if min convergence is reached during funding time?``

您是否想利用衍生产品交易的资金费率，即使在筹资期间达到最小收敛？如果为``False``，则机器人将在达到 ``min_convergence`` 值时忽略资金支付时间并关闭套利。如果设置为 ``True``，则当资金支付临近时，会发生两件事：

- 如果没有建立套利头寸，机器人将等到支付资金后再寻找机会；
- 如果您将获得资金付款，即使价格收敛，机器人也不会关闭套利。

``How much buffer do you want to add to the price to account for slippage for orders on the spot/derivative market?``

对于现货/衍生产品市场的订单滑点，您希望在价格中增加多少缓冲？从发现机会的那一刻到将订单发送到交易所，期间市场价格可能会有所变化。您在此处设置的滑点值会用作执行裕度，确保您的订单将被执行。但是，请谨慎将这些值设置得太高时，否则您可能会以糟糕的价格完成它们。

``Enter a new file name for your configuration``

为您的配置输入一个新的文件名。与其他任何策略一样，对策略文件进行命名，以便在重新启动机器人时可以使用导入再次加载它。

好了。您现在所要做的就是进入启动，观看机器人寻找套利机会！

## 如有任何问题获想参与讨论，请加入我们的社区

我们的社区有众多的做市商和套利者，他们愿意互相帮助，充分利用 Hummingbot。 您可以加入我们的 [Discord 中文频道](https://discord.gg/HgDExTAcWF)，讨论 Hummingbot、策略、流动性挖坑以及与加密货币世界有关的任何其他内容，并获得我们团队的直接支持。

加入中文微信群，请添加ID：amtf202004

更多教学互动视频，请订阅[bilibili频道](https://space.bilibili.com/2010395218/channel/detail?cid=178340)
